Page MenuHomePhabricator

Indicate the source of the citation data in the response
Closed, ResolvedPublic1 Story Points

Description

In the citoid service, indicate the provenance of the citation data being returned so that clients can do different things with it (right now it's Zotero & direct, I understand(?), and will "soon" also have WorldCat too).

  • Make change to service
  • Deploy
  • Update documentation on mediawiki.org

Details

Related Gerrit Patches:
mediawiki/services/citoid : masterAdd source field in mediawiki format

Event Timeline

Mvolz moved this task from Backlog to Service on the Citoid board.Sep 16 2016, 12:40 PM
Mvolz claimed this task.Sep 16 2016, 12:58 PM
Mvolz added a comment.Sep 16 2016, 3:05 PM

Does anyone care what I call this? Currently calling it 'source' because that is short and sweet, but possibly ambiguous. metadataSource?

Change 311150 had a related patch set uploaded (by Mvolz):
Add source field in mediawiki format

https://gerrit.wikimedia.org/r/311150

Mvolz updated the task description. (Show Details)Sep 16 2016, 4:55 PM

Does anyone care what I call this? Currently calling it 'source' because that is short and sweet, but possibly ambiguous. metadataSource?

Seems fine to me. :-)

Change 311150 merged by jenkins-bot:
Add source field in mediawiki format

https://gerrit.wikimedia.org/r/311150

mobrovac updated the task description. (Show Details)Sep 30 2016, 12:18 PM
Mvolz closed this task as Resolved.Sep 30 2016, 1:06 PM
Mvolz updated the task description. (Show Details)
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptMay 16 2017, 4:28 AM